• 谢谢您!!部署好了!

  • 嗯嗯,部署好了!!很开心,网页上写出Hello,world了!!!!感谢老哥!!😆

  • 感谢!用rbenv安装就没问题了。rvm还是出现问题在阿里云上。

  • 您好,我按您写的历程一步一步运行的时候,在“cap production deploy:check”的时候出现如下的错误,这是为什么呀?

    是ubuntu14.0.0的系统 ruby 2.5.0 rails 5.2.0 capistrano才安装的😂

    lee@lee-ThinkPad:~/Developer/Rails/deployment$ cap production deploy
    Identity added: /home/lee/.ssh/id_rsa (/home/lee/.ssh/id_rsa)
    00:00 rbenv:validate
          rbenv: rbenv_ruby is not set; ruby version will be defined by the remote …
    #<Thread:0x0000556a0d360f48@/home/lee/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0/gems/sshkit-1.17.0/lib/sshkit/runners/parallel.rb:10 run> terminated with exception (report_on_exception is true):
    Traceback (most recent call last):
        1: from /home/lee/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0/gems/sshkit-1.17.0/lib/sshkit/runners/parallel.rb:11:in `block (2 levels) in execute'
    /home/lee/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0/gems/sshkit-1.17.0/lib/sshkit/runners/parallel.rb:15:in `rescue in block (2 levels) in execute': Exception while executing as deploy@106.14.139.139: Authentication failed for user deploy@106.14.139.139 (SSHKit::Runner::ExecuteError)
    (Backtrace restricted to imported tasks)
    
    

    感谢(ruby萌新QAQ)!!